> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry ingestion

> Creates a new ingestion record copying data from the original and starts the ingestion process in the background. Returns the new ingestion ID.



## OpenAPI

````yaml /api-reference/openapi.yml post /ingestionTracking/{ingestionId}/retry
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /ingestionTracking/{ingestionId}/retry:
    post:
      tags:
        - ingestionTracking
      summary: Retry ingestion
      description: >-
        Creates a new ingestion record copying data from the original and starts
        the ingestion process in the background. Returns the new ingestion ID.
      operationId: retryIngestion
      parameters:
        - name: ingestionId
          in: path
          description: Ingestion ID
          required: true
          schema:
            type: string
      responses:
        '201':
          description: New ingestion created and started successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatedIngestionTrackingResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    CreatedIngestionTrackingResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Ingestion id created for background ingestion.
          format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
  responses:
    Unauthorized:
      description: >-
        Unauthorized. This error occurs if the authentication token is missing
        or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````